Bug 470368 - XMPP doesn't work with Livejournel
XMPP doesn't work with Livejournel
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: empathy (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Gordon
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 494985
  Show dependency treegraph
 
Reported: 2008-11-06 16:28 EST by Dave Jones
Modified: 2015-01-04 17:30 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-21 17:01:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2008-11-06 16:28:21 EST
I tried to connect empathy to the jabber server at livejournal.com, and get an uninformative dialog telling me 'Network error'.

The same account details work just fine in pidgin.
Comment 1 Dave Jones 2008-11-06 16:32:05 EST
ah, I had to set my loginid to kernelslacker@livejournal.com and also set the server to livejournal.com in the advanced settings.  That second part should be unnecessary.
Comment 2 Brian Pepple 2008-11-07 19:16:39 EST
Hey Dave, could you run the following in a terminal:

GABBLE_PERSIST=1 LM_DEBUG=net GABBLE_DEBUG=all /usr/libexec/telepathy-gabble 2>&1 | tee gabble.log

and then start up Empathy, and try to connect to the jabber server at livejournal.  The log fromn this should give me a better idea why this isn't working.  Thanks.
Comment 3 Dave Jones 2008-11-07 19:39:26 EST
read comment #1.  I figured out how to make it work, it just needed some non-obvious changes in the advanced UI, making me input the servername twice.

(if I leave it off the loginID, it assumes jabber.org)
Comment 4 Brian Pepple 2008-11-07 19:55:24 EST
(In reply to comment #3)
> read comment #1.  I figured out how to make it work, it just needed some
> non-obvious changes in the advanced UI, making me input the servername twice.
> 
> (if I leave it off the loginID, it assumes jabber.org)

Ah, missed that.  Sorry.
Comment 5 Bug Zapper 2008-11-25 23:55:08 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Matěj Cepl 2008-12-01 18:24:37 EST
(In reply to comment #1)
> ah, I had to set my loginid to kernelslacker@livejournal.com and also set the
> server to livejournal.com in the advanced settings.  That second part should be
> unnecessary.

Hmm, it's weird. It really doesn't work for me, but it should, because livejournal has correct SRV record and telepathy-gabble is able to use it (in all other cases):

[matej@viklef redhat]$ host -t SRV _xmpp-client._tcp.livejournal.com
_xmpp-client._tcp.livejournal.com has SRV record 0 10 5222 \
    xmpp.services.livejournal.com.
[matej@viklef redhat]$
Comment 7 Matěj Cepl 2009-04-08 18:01:16 EDT
Actually, it might be another revelation of http://bugs.freedesktop.org/show_bug.cgi?id=20982 and http://bugs.freedesktop.org/show_bug.cgi?id=20158
Comment 8 Dave Jones 2009-05-21 17:01:32 EDT
I don't use this any more, so might as well close this out.

Note You need to log in before you can comment on or make changes to this bug.